MS07-049: Vulnerability in Virtual PC and Virtual Server that could allow privilege elevation

Microsoft has released security bulletin MS07-049. The security bulletin contains all the relevant information about the security update. This information includes file manifest information and deployment options. To view the complete security bulletin, visit one of the following Microsoft Web sites:

Known issues with this security update

  • If the you install the 64-bit version of update 937986 on a 32-bit operating system, the installation fails. This issue occurs because the Advpack.dll file experiences an error when creating the process for the update. You receive a warning dialog box that states that the update did not install.
  • When the update 937986 is applied on a remote machine by using Terminal Services, the update does not replace the vulnerable files if the /console option is not used. To avoid this issue, you must use the /console option as shown in this example:
    mstsc /console /v:<machine name>
  • This update is not supported in Windows Vista. If your computer is running Windows Vista, we recommended that you use either Virtual PC 2007 or Virtual Server 2005 R2 SP1 depending on your requirements. Neither of these two applications has the vulnerability described in Microsoft Knowledge Base article 937986.
Note This hotfix cannot be uninstalled. You have to uninstall Virtual Server completely and then reinstall the RTM version.
update security_patch security_update security bug flaw vulnerability malicious attacker exploit registry unauthenticated buffer overrun overflow specially-formed scope specially-crafted denial of service DoS TSE WinNT Win2000

Article ID: 937986 - Last Review: 09/30/2011 01:30:00 - Revision: 3.0

  • Microsoft Virtual PC 2004
  • Microsoft Virtual Server 2005 Standard Edition
  • Microsoft Virtual Server 2005 R2 Standard Edition
  • Microsoft Virtual Server 2005 R2 Enterprise Edition
  • Microsoft Virtual PC for Mac Version 6.1
  • Microsoft Virtual PC for Mac Version 7
  • kbexpertiseadvanced kbexpertisebeginner kbqfe kbsecurity kbsecbulletin kbsecvulnerability kbbug kbfix KB937986